//package main
//
//import (
//	"git.168cad.top/zhengqiuyun/rym-util/conf"
//	"git.168cad.top/zhengqiuyun/rym-util/es"
//	"git.168cad.top/zhengqiuyun/rym-util/log"
//	"git.168cad.top/zhengqiuyun/rym-util/mysqlrym"
//	"git.168cad.top/zhengqiuyun/rym-util/redis"
//	"git.168cad.top/zhengqiuyun/rym-util/router"
//)
//
//func main() {
//	log.Debug("测试")
//	log.Info("测试")
//	log.Warn("测试")
//	log.Error("测试")
//	conf.BaseConfig(conf.Config{
//		ServerName:  "rym-framework",
//		Env:         "dev",
//		HttpPort:    1024,
//		LogColorful: true,
//	})
//	mysqlrym.TestLog()
//	es.TestLog()
//	redis.TestLog()
//	c := router.InitGinEngine(true)
//	router.Run(c)
//}

package main

import (
	"fmt"
	"gopkg.in/fatih/set.v0"
)

/*set并集 交集 差集计算示例*/
func main() {
	a := set.New(set.ThreadSafe)
	a.Add(1)
	a.Add(2)
	a.Add(3)
	b := set.New(set.ThreadSafe)
	b.Add(2)
	b.Add(3)
	b.Add(4)
	//并集
	unionSet := set.Union(a, b)
	fmt.Printf("并集:%v\n", unionSet)
	//交集
	intersectionSet := set.Intersection(a, b)
	fmt.Printf("交集:%v\n", intersectionSet)
	//差集
	diffS1S2 := set.Difference(a, b)
	fmt.Printf("差集(属a不属b):%v\n", diffS1S2)
	diffS2S1 := set.Difference(b, a)
	fmt.Printf("差集(属b不属a):%v\n", diffS2S1)
}
