package util

import (
	"fmt"
	"net/http"
	"testing"
	"time"
)

func TestArrayContainsInterface(t *testing.T) {
	var areaIds []time.Time
	areaIds = append(areaIds, PareDateTime("2022-02-09 22:09:12"))
	areaIds = append(areaIds, PareDateTime("2022-03-09 22:09:12"))
	areaIds = append(areaIds, PareDateTime("2022-12-09 22:09:12"))
	fmt.Println(ArrayContainsTime(areaIds, PareDateTime("2022-02-10 22:09:12")))
}

func TestDifference(t *testing.T) {
	a1 := []int64{1, 5, 2, 3}
	a2 := []int64{2, 1, 34, 3, 3, 4}
	d1, d2 := DifferenceSetInt64(a1, a2)
	fmt.Println("a1与a2的差集分别是：", d1, d2)
}

func TestPostJSONStr(t *testing.T) {
	responseData, err := PostFormStr("http://ex-test-dcxy-base-manage.168cad.top/v3/operate/balance/recharge/success", "{\"orderNo\":\"BRO165119944230021\"}", nil, http.Client{
		Timeout: 10 * time.Second,
	})
	if err != nil {
		fmt.Printf("错误：%s\n", err.Error())
	}
	fmt.Printf("请求结果：%s\n", string(responseData))
}
