package util

import (
	"time"
)

func ArrayContains(array []string, e string) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsUint64(array []uint64, e uint64) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsUint32(array []uint32, e uint32) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsUint16(array []uint16, e uint16) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsUint8(array []uint8, e uint8) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsInt64(array []int64, e int64) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsInt32(array []int32, e int32) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsInt16(array []int16, e int16) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsInt8(array []int8, e int8) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsInt(array []int, e int) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsFloat64(array []float64, e float64) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsFloat32(array []float32, e float32) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsByte(array []byte, e byte) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}
func ArrayContainsTime(array []time.Time, e time.Time) bool {
	for _, v := range array {
		if v == e {
			return true
		}
	}
	return false
}

func DifferenceSetInt64(a1, a2 []int64) (d1, d2 []int64) {
	var vMap = map[int64]*int{}
	for _, v1 := range a1 {
		vMap[v1] = Ints(1)
	}
	for _, v2 := range a2 {
		if vMap[v2] == nil {
			vMap[v2] = Ints(2)
		} else {
			vMap[v2] = Ints(0)
		}
	}
	for k, v := range vMap {
		if *v == 1 {
			d1 = append(d1, k)
		} else if *v == 2 {
			d2 = append(d2, k)
		}
	}
	return d1, d2
}

func DifferenceSetInt32(a1, a2 []int32) (d1, d2 []int32) {
	var vMap = map[int32]*int{}
	for _, v1 := range a1 {
		vMap[v1] = Ints(1)
	}
	for _, v2 := range a2 {
		if vMap[v2] == nil {
			vMap[v2] = Ints(2)
		} else {
			vMap[v2] = Ints(0)
		}
	}
	for k, v := range vMap {
		if *v == 1 {
			d1 = append(d1, k)
		} else if *v == 2 {
			d2 = append(d2, k)
		}
	}
	return d1, d2
}

func DifferenceSetInt(a1, a2 []int) (d1, d2 []int) {
	var vMap = map[int]*int{}
	for _, v1 := range a1 {
		vMap[v1] = Ints(1)
	}
	for _, v2 := range a2 {
		if vMap[v2] == nil {
			vMap[v2] = Ints(2)
		} else {
			vMap[v2] = Ints(0)
		}
	}
	for k, v := range vMap {
		if *v == 1 {
			d1 = append(d1, k)
		} else if *v == 2 {
			d2 = append(d2, k)
		}
	}
	return d1, d2
}

func DifferenceSet(a1, a2 []string) (d1, d2 []string) {
	var vMap = map[string]*int{}
	for _, v1 := range a1 {
		vMap[v1] = Ints(1)
	}
	for _, v2 := range a2 {
		if vMap[v2] == nil {
			vMap[v2] = Ints(2)
		} else {
			vMap[v2] = Ints(0)
		}
	}
	for k, v := range vMap {
		if *v == 1 {
			d1 = append(d1, k)
		} else if *v == 2 {
			d2 = append(d2, k)
		}
	}
	return d1, d2
}
